UbixOS V2 2.0

Data Fields
setitimer_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for setitimer_args:

## Data Fields
struct itimerval * | itv
char | itv_l_ [0]
char | itv_r_ [(sizeof(register_t)<=sizeof(struct itimerval *) ? 0 :sizeof(register_t) - sizeof(struct itimerval *))]
struct itimerval * | oitv
char | oitv_l_ [0]
char | oitv_r_ [(sizeof(register_t)<=sizeof(struct itimerval *) ? 0 :sizeof(register_t) - sizeof(struct itimerval *))]
u_int | which
char | which_l_ [0]
char | which_r_ [(sizeof(register_t)<=sizeof(u_int) ? 0 :sizeof(register_t) - sizeof(u_int))]

## Detailed Description

Definition at line 266 of file sysproto_posix.h.

## Field Documentation

## ◆ itv

struct itimerval* setitimer_args::itv

Definition at line 271 of file sysproto_posix.h.

## ◆ itv_l_

char setitimer_args::itv_l_[0]

Definition at line 270 of file sysproto_posix.h.

## ◆ itv_r_

char setitimer_args::itv_r_[(sizeof(register_t)<=sizeof(struct itimerval *) ? 0 :sizeof(register_t) - sizeof(struct itimerval *))]

Definition at line 272 of file sysproto_posix.h.

## ◆ oitv

struct itimerval* setitimer_args::oitv

Definition at line 274 of file sysproto_posix.h.

## ◆ oitv_l_

char setitimer_args::oitv_l_[0]

Definition at line 273 of file sysproto_posix.h.

## ◆ oitv_r_

char setitimer_args::oitv_r_[(sizeof(register_t)<=sizeof(struct itimerval *) ? 0 :sizeof(register_t) - sizeof(struct itimerval *))]

Definition at line 275 of file sysproto_posix.h.

## ◆ which

u_int setitimer_args::which

Definition at line 268 of file sysproto_posix.h.

## ◆ which_l_

char setitimer_args::which_l_[0]

Definition at line 267 of file sysproto_posix.h.

## ◆ which_r_

char setitimer_args::which_r_[(sizeof(register_t)<=sizeof(u_int) ? 0 :sizeof(register_t) - sizeof(u_int))]

Definition at line 269 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h